### Method

# Gsk ShaderArgsBuilder ref

#### Declaration [src]

    GskShaderArgsBuilder*
    gsk_shader_args_builder_ref (
      GskShaderArgsBuilder* builder
    )

#### Description [src]

Increases the reference count of a `GskShaderArgsBuilder` by one.

#### Return value

Type: `GskShaderArgsBuilder`

The passed in `GskShaderArgsBuilder`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.